from ip_manager.testing import SampleTest
from os.path import abspath, join, dirname, pardir
import pytest


class TestLibrarySamples(SampleTest):
    def work_dir(self):
        return abspath(join(dirname(__file__), pardir))

    def sample_src(self):
        return [
            "team_library/ipkiss/team_library/components/",
            ("docs/sample_circuit_simulation.py", pytest.mark.skip(reason="Long simulation")),
        ]
